[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: grip being removed [Re: rawhide report: 20050120 changes]



On Fri, 2005-01-28 at 11:56 -0600, Rex Dieter wrote:
> Ivan Gyurdiev wrote:
> 
> > Why would you split a library off from xorg-x11, but not split the
> > headers?
> 
> As I said previously, the MesaGL .so link and headers are required, else 
> you end up with proprietary-ized binaries that work *only* when the 
> nvidia GL libs are installed.  MesaGL-linked binaries wor on both MesaGL 
> and Nvidia-GL (supposedly) systems.
> 
> I say (supposedly) because I don't have/use NVidia cards myself, but 
> I've heard enough success stories from reputable sources to trust the 
> conclusion.

I am installing xorg-x11-devel and Mesa-libGL right now to test this
"supposedly," because I am almost positive something will break.
Will let you know in 10 mins.

In the mean time, why is xorg-x11-devel not requiring xorg-x11-Mesa-
libGL if your claim that it's required is true. If it required the Mesa
package it wouldn't be able to install a dead link without consequence.
Every other -devel package on Fedora seems to require the parent
package. 

[phantom cobra ~]$ rpm -q libgtop2-devel --requires
glib2-devel >= 2.0.1
libgtop2 = 2.8.0
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[phantom cobra ~]$ rpm -q libpng-devel --requires
/bin/sh
libpng = 2:1.2.8
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
zlib-devel
[phantom cobra ~]$ rpm -q libmng-devel --requires
libjpeg-devel
libmng = 1.0.8
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[phantom cobra ~]$

-- 
Ivan Gyurdiev <ivg2 cornell edu>
Cornell University


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]